#include <bits/stdc++.h>
using namespace std;
typedef long long ull;
ull MOD=1e9+7;

struct dot
{
    int x,y;
};

int main()
{
    int m;
    cin >> m;
    vector<dot> s(m);
    for(int i=0; i<m; i++)
    {
        int a,b;
        cin >> a >> b;
        s[i].x=a;
        s[i].y=b;
    }
    vector<ull> maxx(m,0);
    int xn=s[0].x,yn=s[0].y,a=xn,b=yn;
    for(int i=1; i<m; i++){
        for(int p : {xn,s[i].x}){
            for(int q : {yn, s[i].y}){
            int sol=0;
            for(int j=0; j<=i; j++){
                    sol+=abs((p-s[j].x)*(q-s[j].y));
                }
                if(sol>maxx[i]){
                    a=p;
                    b=q;
                    maxx[i]=sol;
                    }
                }
            }
            xn=a;
            yn=b;
    }
    for(int i=0; i<m; i++)
    {
        cout << maxx[i] % MOD << '\n';
    }
    return 0;
}